using System;

namespace Petlja3B
{
    class Program
    {
        static int z(float f)
        {
            if ((int)f == f)
                return (int)f;
            return (int)f + 1;
        }

        static void Main(string[] args)
        {
            int p, q, r;
            long L, R;
            string[] s = Console.ReadLine().Split(' ');
            p = int.Parse(s[0]);
            q = int.Parse(s[1]);
            r = int.Parse(s[2]);
            L = long.Parse(s[3]);
            R = long.Parse(s[4]);

            long br = 0;
            for(long i = L; i<=R; i++)
            {
                if (z((float)i / (float)p) + z((float)i / (float)q) + z((float)i / (float)r) <= i)
                    br++;
            }
            Console.WriteLine(br);
        }
    }
}